from django.urls import path
from .views import CustomAuthToken, RegenerateTokenView, VerifyTokenView, get_csrf_token, HealthCheckView

urlpatterns = [
    path('login/', CustomAuthToken.as_view(), name='login'),
    path('regenerate-token/', RegenerateTokenView.as_view(), name='regenerate-token'),
    path('verify-token/', VerifyTokenView.as_view(), name='verify-token'),
    path('get-csrf-token/', get_csrf_token, name='get-csrf-token'),
    path('health/', HealthCheckView.as_view(), name='health-check'),
]
